Bug 963141 - [rfe] support purge option for package removals
[rfe] support purge option for package removals
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature
: 1147334 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 04:49 EDT by Rahul Sundaram
Modified: 2018-06-21 04:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2013-05-15 04:49:31 EDT
Description of problem:

apt-get purge option removes a package AND its configuration regardless of whether the configuration is altered or not.  This is useful when you don't want to leave miscellaneous configuration files behind and have etc stores in a centrally managed system using etc-keeper or other software.
Comment 1 Ales Kozumplik 2013-05-15 05:20:50 EDT
As this is something that should probably by handled in RPM, I'll leave it to the RPM maintainer to decide.
Comment 2 Panu Matilainen 2014-09-29 02:32:01 EDT
*** Bug 1147334 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.